Bug 84649 - Tracked changes crash on 4.4 master
Summary: Tracked changes crash on 4.4 master
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.4.0
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2014-10-04 05:45 UTC by Matthew Francis
Modified: 2016-07-11 20:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Test document (10.50 KB, application/msword)
2014-10-04 05:46 UTC, Matthew Francis
Details
Linux 4.4 master backtrace (6.37 KB, text/plain)
2014-10-04 05:46 UTC, Matthew Francis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Francis 2014-10-04 05:45:14 UTC
Selecting the text "Me" in the attached test document crashes 4.4 master on both OSX and Linux.
(To test, ensure that tracked changes are visible)

This is an assertion failure that will not crash a non-dbgutil build. It is probably a regression, but only the 4.4 bibisect repo is built with dbgutil, and the bug predates it, so it's not immediately clear when it was introduced. There are a couple of likely commits that I will build to test manually.
Comment 1 Matthew Francis 2014-10-04 05:46:13 UTC
Created attachment 107305 [details]
Test document
Comment 2 Matthew Francis 2014-10-04 05:46:48 UTC
Created attachment 107306 [details]
Linux 4.4 master backtrace
Comment 3 Joey Reid 2014-10-04 07:55:46 UTC
Confirmed with Version: 4.4.0.0.alpha0+
Build ID: fc24eadc6283cd03397b70fda309a578ce295f16
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-03_00:31:27
Comment 5 Joey Reid 2014-10-16 03:23:08 UTC
Verified FIXED. Thank you Caolán!

Version: 4.4.0.0.alpha0+
Build ID: defa080e585fb351bc4049b2f280d2e7e5256f6e
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-15_01:10:51